pcl::geometry::EdgeIndex Class Reference
Module geometry

Index used to access elements in the half-edge mesh. More...

`#include <pcl/geometry/mesh_indices.h>`

Inheritance diagram for pcl::geometry::EdgeIndex:

## Public Types

using | Base = boost::totally_ordered< pcl::geometry::EdgeIndex, boost::unit_steppable< pcl::geometry::EdgeIndex, boost::additive< pcl::geometry::EdgeIndex > > >
using | Self = pcl::geometry::EdgeIndex

## Public Member Functions

| EdgeIndex ()
| Constructor. More...
| EdgeIndex (const int index)
| Constructor. More...
bool | isValid () const
| Returns true if the index is valid. More...
void | invalidate ()
| Invalidate the index. More...
int | get () const
| Get the index. More...
void | set (const int index)
| Set the index. More...
bool | operator< (const Self &other) const
| Comparison operators (with boost::operators): < > <= >=. More...
bool | operator== (const Self &other) const
| Comparison operators (with boost::operators): == !=. More...
Self & | operator++ ()
| Increment operators (with boost::operators): ++ (pre and post) More...
Self & | operator-- ()
| Decrement operators (with boost::operators): -- (pre and post) More...
Self & | operator+= (const Self &other)
| Addition operators (with boost::operators): + +=. More...
Self & | operator-= (const Self &other)
| Subtraction operators (with boost::operators): - -=. More...

## Friends

std::istream & | operator>> (std::istream &is, pcl::geometry::EdgeIndex &index)
| istream operator. More...

## Detailed Description

Index used to access elements in the half-edge mesh.

It is basically just a wrapper around an integer with a few added methods.

Author
  Martin Saelzle

Definition at line 339 of file mesh_indices.h.

## Member Typedef Documentation

## Base

using pcl::geometry::EdgeIndex::Base = boost::totally_ordered <pcl::geometry::EdgeIndex, boost::unit_steppable <pcl::geometry::EdgeIndex, boost::additive <pcl::geometry::EdgeIndex> > >

Definition at line 349 of file mesh_indices.h.

## Self

using pcl::geometry::EdgeIndex::Self = pcl::geometry::EdgeIndex

Definition at line 350 of file mesh_indices.h.

## Constructor & Destructor Documentation

## EdgeIndex() [1/2]

pcl::geometry::EdgeIndex::EdgeIndex | ( |  | ) |

inline

Constructor.

Initializes with an invalid index.

Definition at line 353 of file mesh_indices.h.

## EdgeIndex() [2/2]

pcl::geometry::EdgeIndex::EdgeIndex | ( | const int | index | ) |

inline explicit

Constructor.

Parameters

  [in] | index | The integer index.

Definition at line 361 of file mesh_indices.h.

## Member Function Documentation

## get()

int pcl::geometry::EdgeIndex::get | ( |  | ) | const

inline

Get the index.

Definition at line 382 of file mesh_indices.h.

Referenced by pcl::geometry::getBoundBoundaryHalfEdges(), operator+=(), operator-=(), operator<(), pcl::geometry::operator<<(), operator==(), and pcl::geometry::toHalfEdgeIndex().

## invalidate()

void pcl::geometry::EdgeIndex::invalidate | ( |  | ) |

inline

Invalidate the index.

Definition at line 375 of file mesh_indices.h.

## isValid()

bool pcl::geometry::EdgeIndex::isValid | ( |  | ) | const

inline

Returns true if the index is valid.

Definition at line 368 of file mesh_indices.h.

Referenced by pcl::geometry::toHalfEdgeIndex().

## operator++()

Self& pcl::geometry::EdgeIndex::operator++ | ( |  | ) |

inline

Increment operators (with boost::operators): ++ (pre and post)

Definition at line 410 of file mesh_indices.h.

## operator+=()

Self& pcl::geometry::EdgeIndex::operator+= | ( | const Self & | other | ) |

inline

Addition operators (with boost::operators): + +=.

Definition at line 426 of file mesh_indices.h.

References get().

## operator--()

Self& pcl::geometry::EdgeIndex::operator-- | ( |  | ) |

inline

Decrement operators (with boost::operators): -- (pre and post)

Definition at line 418 of file mesh_indices.h.

## operator-=()

Self& pcl::geometry::EdgeIndex::operator-= | ( | const Self & | other | ) |

inline

Subtraction operators (with boost::operators): - -=.

Definition at line 434 of file mesh_indices.h.

References get().

## operator<()

bool pcl::geometry::EdgeIndex::operator< | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): < > <= >=.

Definition at line 396 of file mesh_indices.h.

References get().

## operator==()

bool pcl::geometry::EdgeIndex::operator== | ( | const Self & | other | ) | const

inline

Comparison operators (with boost::operators): == !=.

Definition at line 403 of file mesh_indices.h.

References get().

## set()

void pcl::geometry::EdgeIndex::set | ( | const int | index | ) |

inline

Set the index.

Definition at line 389 of file mesh_indices.h.

## Friends And Related Function Documentation

## operator>>

std::istream& operator>> | ( | std::istream & | is,
|  | pcl::geometry::EdgeIndex & | index
| ) |  |

friend

istream operator.

Definition at line 458 of file mesh_indices.h.

The documentation for this class was generated from the following file:

- pcl/geometry/mesh_indices.h